Bug 238778 - Add 'lspci -t' to set of lspci commands run
Summary: Add 'lspci -t' to set of lspci commands run
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sos   
(Show other bugs)
Version: 5.4
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Adam Stokes
QA Contact:
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-02 21:37 UTC by Andy Gospodarek
Modified: 2014-06-29 22:58 UTC (History)
4 users (show)

Fixed In Version: 1.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:31:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
adds lspci -tv (555 bytes, patch)
2007-05-29 06:17 UTC, David Robinson
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:1418 normal SHIPPED_LIVE sos bug fix and enhancement update 2009-09-02 07:29:42 UTC

Description Andy Gospodarek 2007-05-02 21:37:48 UTC
Add 'lspci -t' to set of lspci commands run.  This would be a nice add-on to the
existing set of lspci commands -- plus it's got a good beat and its fun to dance
too.

Here's the output on my system:

$ /sbin/lspci -t
-[0000:00]-+-00.0
           +-00.1
           +-02.0-[0000:01-03]--+-00.0-[0000:02]--
           |                    \-00.2-[0000:03]----0e.0
           +-03.0-[0000:04]--
           +-04.0-[0000:05]----00.0
           +-1d.0
           +-1d.1
           +-1d.2
           +-1d.3
           +-1d.7
           +-1e.0-[0000:06]--
           +-1f.0
           +-1f.1
           +-1f.2
           +-1f.3
           \-1f.5

$ /sbin/lspci
00:00.0 Host bridge: Intel Corporation E7525 Memory Controller Hub (rev 09)
00:00.1 Class ff00: Intel Corporation E7525/E7520 Error Reporting Registers (rev 09)
00:02.0 PCI bridge: Intel Corporation E7525/E7520/E7320 PCI Express Port A (rev 09)
00:03.0 PCI bridge: Intel Corporation E7525/E7520/E7320 PCI Express Port A1 (rev 09)
00:04.0 PCI bridge: Intel Corporation E7525/E7520 PCI Express Port B (rev 09)
00:1d.0 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI
Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI
Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI
Controller #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI
Controller #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB2 EHCI
Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev c2)
00:1f.0 ISA bridge: Intel Corporation 82801EB/ER (ICH5/ICH5R) LPC Interface
Bridge (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801EB/ER (ICH5/ICH5R) IDE Controller
(rev 02)
00:1f.2 IDE interface: Intel Corporation 82801EB (ICH5) SATA Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801EB/ER (ICH5/ICH5R) SMBus Controller (rev 02)
00:1f.5 Multimedia audio controller: Intel Corporation 82801EB/ER (ICH5/ICH5R)
AC'97 Audio Controller (rev 02)
01:00.0 PCI bridge: Intel Corporation 6700PXH PCI Express-to-PCI Bridge A
01:00.2 PCI bridge: Intel Corporation 6700PXH PCI Express-to-PCI Bridge B
03:0e.0 Ethernet controller: Intel Corporation 82545GM Gigabit Ethernet
Controller (rev 04)
05:00.0 VGA compatible controller: nVidia Corporation NV37GL [Quadro FX
330/Quadro NVS280] (rev a2)

Comment 3 David Robinson 2007-05-29 06:17:44 UTC
Created attachment 155575 [details]
adds lspci -tv

Attached patch adds "lspci -tv" output, but I'm not sure this is needed - I've
never had to ask a customer for it before.

Comment 4 Navid Sheikhol-Eslami 2007-06-19 08:05:47 UTC
IMHO we should try to minimize the amount of commands run by "sos", especially
if the same information can be extrapolated from a "lspci -vvn" (which is
already included).

-- Navid

Comment 5 Andy Gospodarek 2007-06-21 15:06:53 UTC
(In reply to comment #4)
> IMHO we should try to minimize the amount of commands run by "sos", especially
> if the same information can be extrapolated from a "lspci -vvn" (which is
> already included).
> 

True, but the requested output is *much* easier to read quickly and understand
the systems layout.




Comment 7 Navid Sheikhol-Eslami 2007-09-20 10:55:58 UTC
Added in navid-dev branch.

-- Navid

Comment 13 errata-xmlrpc 2009-09-02 07:31:14 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1418.html


Note You need to log in before you can comment on or make changes to this bug.